Автор Тема: Install wine, skype, flash-player: linux 64bit  (Прочетена 12248 пъти)

bulg

  • Напреднали
  • *****
  • Публикации: 916
  • Distribution: *bsd/linux
  • Животът е тръпка... иначе живот ли е това...
    • Профил
    • WWW
Install wine, skype, flash-player: linux 64bit
« -: Oct 30, 2007, 17:08 »
Колкото и да търсих за инфо за инсталирането им под x64, не успях да намеря работещи turorials. Не бих искал да минавам на 32 битови версии - Debian-а (x64) ми се държи отлично, с изкл. на това, че не мога да подкарам по-горните.
Ще бъде полезно и на други с x64 версии, предполагам.
Благодаря предварително за помощта!

П.п. Извинявам се, че обединих темата наведнъж, за 3 програми, но инфо, дори и за една или две, пак ще е ценно.
Активен

http://www.youtube.com/watch?v=9rX8Fn-YJpI
---------------------------------------------------------------------
http://cleargreen.com

awd

  • Участници
  • ***
  • Публикации: 10
    • Профил
Install wine, skype, flash-player: linux 64bit
« Отговор #1 -: Oct 30, 2007, 17:48 »
Може да погледнеш това.

http://www.fsckin.com/2007....an-etch
Активен

bulg

  • Напреднали
  • *****
  • Публикации: 916
  • Distribution: *bsd/linux
  • Животът е тръпка... иначе живот ли е това...
    • Профил
    • WWW
Install wine, skype, flash-player: linux 64bit
« Отговор #2 -: Oct 30, 2007, 23:46 »
Цитат (awd @ Окт. 30 2007,18:48)
Може да погледнеш това.

http://www.fsckin.com/2007....an-etch

Примерен код
http://www.fsckin.com

First things first, as root:

    * Add repository to sources.list:
           echo deb http://dipconsultants.com/debian etch main >> /etc/apt/sources.list
    * apt-get update
    * Install the keyring so you’re not bothered with key/verification warnings:
           apt-get install markybob-keyring
    * apt-get update once more
    * Install what you want:
           apt-get install ia32-libs-gtk nspluginwrapper

Инсталиране на flash и shockwave player
If you’re looking to install Flash in a 64-bit browser:

    * Do *every* step listed above, then the following as a *user*, not root:
    * wget http://fpdownload.macromedia.com/get/flashplayer/current/install_flash_player_9_linux.tar.gz
    * tar -zxf install_flash_player_9_linux.tar.gz
    * mkdir ~/.mozilla/plugins/
    * mv install_flash_player_9_linux/flashplayer.xpt install_flash_player_9_linux/libflashplayer.so ~/.mozilla/plugins/
    * nspluginwrapper -i ~/.mozilla/plugins/libflashplayer.so
    * Start/restart iceweasel/firefox/whatever
    * Enjoy, Etch 64-bit users, from the guys at dipconsultants.com

Root-вам се в терминала; втора стъпка - успешна, но след apt-get update показва следната грешка:
E: Типът „“deb“ на ред 11 в списъка с източници /etc/apt/sources.list е неизвестен.

EDIT: Важно! : Процедурата работи и на Linux Debian Sid, Unstable, 64 bit, но вместо:
 echo deb http://dipconsultants.com/debian etch main >> /etc/apt/sources.list
изпълнете:
echo deb http://ftp.de.debian.org/debian sid main >> /etc/apt/sources.list

При втората инструкция (Инсталиране на flash и shockwave player), не забравяйте да преминете от root в user режим на терминала!



Активен

http://www.youtube.com/watch?v=9rX8Fn-YJpI
---------------------------------------------------------------------
http://cleargreen.com

bulg

  • Напреднали
  • *****
  • Публикации: 916
  • Distribution: *bsd/linux
  • Животът е тръпка... иначе живот ли е това...
    • Профил
    • WWW
Install wine, skype, flash-player: linux 64bit
« Отговор #3 -: Oct 31, 2007, 00:37 »
Получи се ! 10х !

П.п.  Махнах кавичките и www. в sources.list .
echo “deb http://www.dipconsultants.com/debian etch main” >> /etc/apt/sources.list

3п. Остава да бъдат преборени wine и skype  '<img'>



Активен

http://www.youtube.com/watch?v=9rX8Fn-YJpI
---------------------------------------------------------------------
http://cleargreen.com

crasher5

  • Напреднали
  • *****
  • Публикации: 100
    • Профил
Install wine, skype, flash-player: linux 64bit
« Отговор #4 -: Oct 31, 2007, 03:08 »
Абе човек.. потъси пъво малко преди да постнеш такава тема... или във форума или в гуугъл... ако бях аз администратор тая тема вече и в кошчето нямаше да се намира...
Активен

v_badev

  • Напреднали
  • *****
  • Публикации: 1355
    • Профил
Install wine, skype, flash-player: linux 64bit
« Отговор #5 -: Oct 31, 2007, 09:59 »
В amd64 версията на Debian си има Wine.
А за skype, ще трябва да инсталираш ia32-libs и да разархивираш ръчно пакетите на библиотеките които иска skype в /emul/ia32-linux/. Тоест като си свалиш статичната версия и като си я пуснеш тя ще ти каже че липсва някоя библиотека. Сваляш си 32 битовата версия на въпросната библиотека и разархивираш с dpkg -X в /emul/ia32-linux/. Това го повтаряш докато skype тръгне.



Активен

bulg

  • Напреднали
  • *****
  • Публикации: 916
  • Distribution: *bsd/linux
  • Животът е тръпка... иначе живот ли е това...
    • Профил
    • WWW
Install wine, skype, flash-player: linux 64bit
« Отговор #6 -: Oct 31, 2007, 12:36 »
Цитат
Абе човек.. потъси пъво малко преди да постнеш такава тема... или във форума или в гуугъл... ако бях аз администратор тая тема вече и в кошчето нямаше да се намира...
Повярвай, доста потърсих и пробвах, а това дали е било  достатъчно е др. въпрос '<img'>
Цитат
В amd64 версията на Debian си има Wine.
А за skype, ще трябва да инсталираш ia32-libs и да разархивираш ръчно пакетите на библиотеките които иска skype в /emul/ia32-linux/. Тоест като си свалиш статичната версия и като си я пуснеш тя ще ти каже че липсва някоя библиотека. Сваляш си 32 битовата версия на въпросната библиотека и разархивираш с dpkg -X в /emul/ia32-linux/. Това го повтаряш докато skype тръгне.
В Synaptic-а няма wine. Продължавам борбЪтъ със скайп.



Активен

http://www.youtube.com/watch?v=9rX8Fn-YJpI
---------------------------------------------------------------------
http://cleargreen.com

v_badev

  • Напреднали
  • *****
  • Публикации: 1355
    • Профил
Install wine, skype, flash-player: linux 64bit
« Отговор #7 -: Oct 31, 2007, 13:34 »
Явно ползваш Etch (stable), wine го има само в Lenny (testing) и Sid (unstable) - линк. Същото важи и за nspluginwrapper.
Понеже никога не съм ползвал стабилната версия на десктоп машина не съм обърнал внимание че ги няма в нея.
Активен

Nepius

  • Напреднали
  • *****
  • Публикации: 24
    • Профил
Install wine, skype, flash-player: linux 64bit
« Отговор #8 -: Oct 31, 2007, 17:39 »
При мен проработи под Сусе 10.3 64bit само static пакета на skype. Ето какви бяха стъпките:

1. Изтегляш static пакета на skype от сайта им.
2. Разархивираш го и стартираш skype (от конзолата). Като цяло ще се оплаче, че му липсва libsigc-2.0.so.0 . Тази библиотека аз я имах инсталирана, но е 64bit, а skype си иска 32bit libsigc++20 библиотека. С нищо друго нямаше проблем, дори с версията за Qt.
3. Изтегляш  binary 32bit libsigc++20 пакет за твоята дистрибуция. Има два варианта, зависи кой ти допада повече:
    a. Инсталираш пакета. Не би трябвало да има конфликт, обикновено 32bit библиотеки се копират в /lib, а 64bit в /lib64.
    б. Вземаш от пакета само libsigc-2.0.so.0 (или libsigc-2.0.so.0.0.0 и го преименуваш на libsigc-2.0.so.0) и го копираш в директорията където е skype.
4. Стартираш skype.

След тия 4 стъпки при мен работи без проблем.
Активен

bulg

  • Напреднали
  • *****
  • Публикации: 916
  • Distribution: *bsd/linux
  • Животът е тръпка... иначе живот ли е това...
    • Профил
    • WWW
Install wine, skype, flash-player: linux 64bit
« Отговор #9 -: Oct 31, 2007, 23:02 »
Цитат
v_badev:
 Явно ползваш Etch (stable),wine го има само в Lenny (testing) и Sid (unstable) - линк. Същото важи и за nspluginwrapper.
Понеже никога не съм ползвал стабилната версия на десктоп машина не съм обърнал внимание че ги няма в нея.

Благодаря ти! Ъпдейтнах от Debian Etch (64 bit) (stable) до Debian Sid (64 bit) (unstable) и  инсталирах wine с: sudo apt-get install wine , без проблем.
Цитат
Nepius:
 При мен проработи под Сусе 10.3 64bit само static пакета на skype. Ето какви бяха стъпките:
1. Изтегляш static пакета на skype от сайта им.
2. Разархивираш го и стартираш skype (от конзолата). Като цяло ще се оплаче, че му липсва libsigc-2.0.so.0 . Тази библиотека аз я имах инсталирана, но е 64bit, а skype си иска 32bit libsigc++20 библиотека. С нищо друго нямаше проблем, дори с версията за Qt.
3. Изтегляш  binary 32bit libsigc++20 пакет за твоята дистрибуция. Има два варианта, зависи кой ти допада повече:
   a. Инсталираш пакета. Не би трябвало да има конфликт, обикновено 32bit библиотеки се копират в /lib, а 64bit в /lib64.
   б. Вземаш от пакета само libsigc-2.0.so.0 (или libsigc-2.0.so.0.0.0 и го преименуваш на libsigc-2.0.so.0) и го копираш в директорията където е skype.
4. Стартираш skype.

След тия 4 стъпки при мен работи без проблем.

Благодаря ти за идеята. При мен липсваха тези:
Примерен код
# getlibs /usr/bin/skype
No match found for package libQtCore.so.4
No match found for package libQtDBus.so.4
No match found for package libQtGui.so.4
No match found for package libQtNetwork.so.4
No match found for package libsigc-2.0.so.0
No libraries to download.

Проблема бе решен, чрез следните стъпки:
Цитат
Nepius:
1. Изтегляш static пакета на skype от сайта им.
2. Разархивираш го... ( dpkg -i skaip_versiqta.deb )


1. Отидох на: http://www.debian.org/distrib/packages
2. После, Click на Търсачката за съдържанието на пакетите: http://www.debian.org/distrib/packages#search_contents
3. В search полето написах: a32-libs , а отдолу Unstable, защото съм с Debian Unstable, вече.
3. Намерих линка Download ia32-libs за amd64
4. Свалих библиотеките ia32-libs_2.2_amd64.deb и ги инсталирах с root-права: dpkg -i ia32-libs_2.2_amd64.deb
5.  Свалих и инсталирах скрипта getlibs: http://www.boundlesssupremacy.com/Cappy/getlibs/getlibs-all.deb
6. getlibs  /usr/bin/skype
7. Стартирах Скайп от: Programs -> Internet -> Skype

Благодаря ви, още веднъж ! '<img'>



Активен

http://www.youtube.com/watch?v=9rX8Fn-YJpI
---------------------------------------------------------------------
http://cleargreen.com

crasher5

  • Напреднали
  • *****
  • Публикации: 100
    • Профил
Install wine, skype, flash-player: linux 64bit
« Отговор #10 -: Nov 01, 2007, 01:33 »
Както казах и предния път... ако беше чел достатачно нямаше да пуснеш подобна тема... Кой да се сети, че може да ти трябва библиотеката libQt... Еми ще прощаваш ама ти дори сайта на skype не си отворил...: Software requirements

    * Qt 4.2.1+
    * D-Bus 1.0.0
    * libsigc++ 2.0.2
    * libasound2 1.0.12
 пък какво да си говорим за гуугъл или за форуми на дебиан базирани дистрибуции (Убунту,...). С много уважение, но на всеки  3-4 дни се появява тема с проблем при инсталиране на скайп... моля прочети преди да пишеш...
Активен

bulg

  • Напреднали
  • *****
  • Публикации: 916
  • Distribution: *bsd/linux
  • Животът е тръпка... иначе живот ли е това...
    • Профил
    • WWW
Install wine, skype, flash-player: linux 64bit
« Отговор #11 -: Nov 01, 2007, 02:08 »
Цитат (crasher5 @ Ноември 01 2007,02:33)
Както казах и предния път... ако беше чел достатачно нямаше да пуснеш подобна тема... Кой да се сети, че може да ти трябва библиотеката libQt... Еми ще прощаваш ама ти дори сайта на skype не си отворил...: Software requirements

    * Qt 4.2.1+
    * D-Bus 1.0.0
    * libsigc++ 2.0.2
    * libasound2 1.0.12
 пък какво да си говорим за гуугъл или за форуми на дебиан базирани дистрибуции (Убунту,...). С много уважение, но на всеки  3-4 дни се появява тема с проблем при инсталиране на скайп... моля прочети преди да пишеш...

В темата не ставаше въпрос само за Скайп...


Цитат
Опитай се да приемеш факта, че освен теб съществуват и други.


Благодаря на всички, оказали професионално съдействие!
 '<img'>
Активен

http://www.youtube.com/watch?v=9rX8Fn-YJpI
---------------------------------------------------------------------
http://cleargreen.com